# Class CIM_StatisticalInformation
extends CIM_ManagedElement

CIM_StatisticalInformation is a root class for any arbitrary collection of statistical data and/or metrics applicable to one or more ManagedSystemElements. Note that the CIM_ StatisticalData class uses a simplified naming/identity algorithm as compared to this class. StatisticalInformation is not deprecated since its naming algorithm is still in use in various implementations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation

## Direct Known Subclasses

CIM_DeviceErrorCounts
CIM_DeviceStatisticalInformation
CIM_PhysicalStatisticalInformation
CIM_SAPStatisticalInformation
CIM_ServiceStatisticalInformation
CIM_SystemStatisticalInformation
CIM_UnixProcessStatisticalInformation

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

CIM_StatisticalInformation is a root class for any arbitrary collection of statistical data and/or metrics applicable to one or more ManagedSystemElements. Note that the CIM_ StatisticalData class uses a simplified naming/identity algorithm as compared to this class. StatisticalInformation is not deprecated since its naming algorithm is still in use in various implementations.

UMLPackagePath | string | CIM::Core::Statistics
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Name | string |
Description | string | The Name property defines the label by which the statistic or metric is known. When subclassed, the property can be overridden to be a Key property.
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods